Subject: Re: bug#41340: 26.3; ido-completing-read doesn't respect completion-auto-help

From: Dmitry Gutov <[email-masked]>
Date: Sun, 17 May 2020 03:57:45 +0300

On 17.05.2020 03:12, Ryan C. Thompson wrote:
> 
> One minor wrinkle is that completion-auto-help has 3 valid values: nil, 
> t, and lazy. I'm not sure I understand the difference between t and 
> lazy, so I'm also unsure as to how to apply them to ido. In my testing, 
> both t and lazy seem to result in the identical behavior in 
> completing-read-default.

When it's `lazy', you need to press TAB twice to see the completions 
list. At first it'll just say "Next char is not unique".

If you can honor both values, that would be best, but even making the 
nil/non-nil distinction will be an improvement, sounds like.